=== docs/requirements.txt ===
# duplicate necessary dependencies to import pykube module (for autodoc)
requests
PyYAML
sphinx-autodoc-annotation
