=== debian/changelog ===
python-pykube-ng (22.9.0-2) unstable; urgency=medium

  * Rebuilt source-only.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Nov 2023 14:15:45 +0100

python-pykube-ng (22.9.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1038767)

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Jun 2023 23:40:05 +0200
