=== debian/control ===
Source: python-pykube-ng
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 12),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-setuptools,
Build-Depends-Indep:
 python3-google-auth,
 python3-pytest,
 python3-pytest-mock,
 python3-requests,
 python3-requests-oauthlib,
 python3-responses,
 python3-urllib3,
 python3-yaml,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pykube-ng
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pykube-ng.git
Homepage: https://codeberg.org/hjacobs/pykube-ng

Package: python3-pykube-ng
Architecture: all
Depends:
 python3-google-auth,
 python3-requests,
 python3-requests-oauthlib,
 python3-urllib3,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: client library for Kubernetes
 Pykube (pykube-ng) is a lightweight Python client library for Kubernetes. It
 is a Platform as a Service (PaaS) that makes it easy to manage web application
 deployment and hosting through the entire lifecycle from development through
 testing to production. It adds components and tools on top of Kubernetes that
 help developers manage their application infrastructure.
