=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://codeberg.org/hjacobs/pykube-ng
include /usr/share/openstack-pkg-tools/pkgos.make

PYBUILD_NAME=pykube

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
	for i in `py3versions -vr 2>/dev/null` ; do \
		PYTHONPATH=$(CURDIR) python$$i -m pytest tests -v ; \
	done

#override_dh_auto_install:
#	dh_auto_install
#	mkdir -p $(CURDIR)/python3-pykube-ng/usr/lib/python3/dist-packages
#	cp -axuf $(CURDIR)/pykube $(CURDIR)/python3-pykube-ng/usr/lib/python3/dist-packages/
